Sign in with email OTP
POST /signin/otp/email
Initiate email-based one-time password authentication. Sends an OTP to the specified email address.
If the user doesn’t exist and AUTH_DISABLE_AUTO_SIGNUP is not set, a new account will be created with the provided options.
When AUTH_DISABLE_AUTO_SIGNUP is enabled, users must use the /signup/otp/email endpoint to register first.
Request Body required
Section titled “Request Body required ”Email address and optional user options for OTP authentication
object
A valid email
Example
john.smith@nhost.ioobject
Example
[ "me", "user"]Example
userExample
John SmithA two or three characters locale
Example
enobject
Example
{ "firstName": "John", "lastName": "Smith"}Example
https://my-app.com/catch-redirectionResponses
Section titled “ Responses ”OTP sent to the user’s email. To prevent account enumeration, this response is also returned without side effects when the email is not registered and AUTH_DISABLE_AUTO_SIGNUP is enabled.
default
Section titled “default ”An error occurred while processing the request
Standardized error response
object
HTTP status error code
Example
400Human-friendly error message
Example
Invalid email formatError code identifying the specific application error